Page MenuHomePhabricator

Figure out what to do about servicegrouphomedirpattern
Closed, ResolvedPublic

Description

As far as I know this setting is only used in tools, where it is set to /data/project/%u/

For other projects (that probably don't use it) it is set to /home/%p%u/

I'm about to remove the GUI that configures this setting, so it can only be set directly via ldap. Soon I'd like to remove the setting from ldap entirely.

Event Timeline

Andrew created this task.Jan 27 2016, 11:21 PM
Andrew claimed this task.
Andrew raised the priority of this task from to Needs Triage.
Andrew updated the task description. (Show Details)
Andrew added a project: Cloud-Services.
Andrew added subscribers: Andrew, StudiesWorld, Aklapper.

Kill it. Stop offering service groups to non-tools projects - nobody uses them, and only accidentally create them before forgetting they exist.

scfc added a subscriber: scfc.Jan 27 2016, 11:27 PM

IIRC, currently service groups are the only way to get credentials for the replica servers.

Service groups in tools only - the replica server credential generator doesn't operate for any other project. It also requires you have NFS which is also not there by default for new projects

Service groups currently exist in tools, tools-beta, bots, catgraph and snuggle.

In tools, tools-beta and bots the the default homedir is set to /data/project/<groupname>.
In catgraph and snuggle, it's set to /home/<groupname>. The catgraph people, at least, have confirmed that the group is in active use.

So... removing the GUI is fine, but if I remove the setting from Ldap we'll have problems with the disagreement about homedir.

Andrew triaged this task as Normal priority.Apr 1 2016, 10:02 PM
Andrew closed this task as Resolved.Apr 12 2016, 8:30 PM

I can't actually think of a better place for this setting -- it belongs in ldap along with other custom project settings. Would be nice if we abolished service groups altogether outside of tools, but it's unclear how to get from here to there.